/*
 * CityHandler.java
 *
 * Created on 10 de agosto de 2004, 18:35
 */

package com.fenalco.servlets.sysmanager;

import java.io.IOException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author  andres
 * @version
 */
public class CityHandler extends HttpServlet {
    
    /** Inicializa el servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destruye el servlet.
     */
    public void destroy() {
        
    }
    
    /** Procesa las peticiones de los mètodos HTTP <code>GET</code> y <code>POST</code>.
     *
     * - Redirecciona a actualizarparametros 
     *
     * @param request peticiòn al servlet
     * @param response respuesta del servlet
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {

        
    }
    
    /** Maneja el mètodo HTTP <code>GET</code>
     * @param request peticiòn al servlet
     * @param response respuesta del servlet
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Maneja el mètodo HTTP <code>POST</code>
     * @param request peticiòn al servlet
     * @param response respuesta del servlet
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Retorna una corta descripciòn del servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
